Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui
Class DropDownComponent.ScrollablePopupMenuEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.util.gui.DropDownComponent.ScrollablePopupMenuEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  DropDownComponent

    public static class DropDownComponent.ScrollablePopupMenuEvent

extends EventObject

Event to pass to listener.

See Also:
  Serialized Form

Field Summary
`static int` | `ITEMS_ADDED`
`static int` | `ITEMS_REMOVED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DropDownComponent.ScrollablePopupMenuEvent(Object source, int type, int itemNumber, String details)` Creates the ScrollablePopupMenuEvent.

Method Summary
`String` | `getDetails()` Gets the event details.
`int` | `getItemNumber()` Gets the item number.
`int` | `getType()` Gets the event type.
`void` | `initEvent(int type, int itemNumber, String details)` Initializes this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ITEMS_ADDED

    public static final int ITEMS_ADDED

See Also:
  Constant Field Values

### ITEMS_REMOVED

    public static final int ITEMS_REMOVED

See Also:
  Constant Field Values

Constructor Detail

### DropDownComponent.ScrollablePopupMenuEvent

    public DropDownComponent.ScrollablePopupMenuEvent(Object source,
                                                      int type,
                                                      int itemNumber,
                                                      String details)

  Creates the ScrollablePopupMenuEvent.

  Parameters:
    `source` - The source component
    `type` - The event type
    `itemNumber` - The item number
    `details` - The event details

Method Detail

### initEvent

    public void initEvent(int type,
                          int itemNumber,
                          String details)

  Initializes this event.

### getDetails

    public String getDetails()

  Gets the event details.

  Returns:
    the details

### getItemNumber

    public int getItemNumber()

  Gets the item number.

  Returns:
    the item number

### getType

    public int getType()

  Gets the event type.

  Returns:
    the type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.